orders.read_write - Orders Read & WriteAuthorization: Bearer ********************{
"external_order_id": "string",
"date": "string",
"source": "string",
"status_name": "string",
"currency": "string",
"exchange_currency_rate": 0,
"subtotal": 0,
"tax": {
"rate": 0,
"value": 0
},
"customer": {
"id": 0,
"name": "string",
"mobile": "string",
"email": "string",
"is_guest": true
},
"products": [
{
"name": "string",
"price": 0,
"cost_price": 0,
"sku": "string",
"weight": 0,
"quantity": 0,
"weight_type": "string",
"require_shipping": true,
"product_type": "string",
"mpn": "string",
"gtin": "string",
"product_discount": 0,
"thumbnail": "string",
"tax": {
"rate": 0,
"value": 0
}
}
],
"discounts": {
"code": "string",
"amount": 0,
"shipping_amount": 0
},
"payment": {
"status": "string",
"method": "string",
"gateway": {
"label": "string",
"reference_id": "string"
},
"cash_on_delivery": {
"amount": 0
}
},
"receiver": {
"name": "string",
"phone": "string",
"country_code": "string",
"email": "string",
"notify": 0
},
"delivery_method": "string",
"courier_id": 0,
"shipping_cost": 0,
"ship_to": {
"country": 0,
"city": 0,
"block": "string",
"district": 0,
"street_number": "string",
"address": "string",
"address_line": "string",
"postal_code": "string",
"geo_coordinates": {
"lat": 0,
"lng": 0
},
"house_desc": "string",
"branch_id": 0
}
}curl --location 'https://api.salla.dev/admin/v2/orders/external' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"external_order_id": "string",
"date": "string",
"source": "string",
"status_name": "string",
"currency": "string",
"exchange_currency_rate": 0,
"subtotal": 0,
"tax": {
"rate": 0,
"value": 0
},
"customer": {
"id": 0,
"name": "string",
"mobile": "string",
"email": "string",
"is_guest": true
},
"products": [
{
"name": "string",
"price": 0,
"cost_price": 0,
"sku": "string",
"weight": 0,
"quantity": 0,
"weight_type": "string",
"require_shipping": true,
"product_type": "string",
"mpn": "string",
"gtin": "string",
"product_discount": 0,
"thumbnail": "string",
"tax": {
"rate": 0,
"value": 0
}
}
],
"discounts": {
"code": "string",
"amount": 0,
"shipping_amount": 0
},
"payment": {
"status": "string",
"method": "string",
"gateway": {
"label": "string",
"reference_id": "string"
},
"cash_on_delivery": {
"amount": 0
}
},
"receiver": {
"name": "string",
"phone": "string",
"country_code": "string",
"email": "string",
"notify": 0
},
"delivery_method": "string",
"courier_id": 0,
"shipping_cost": 0,
"ship_to": {
"country": 0,
"city": 0,
"block": "string",
"district": 0,
"street_number": "string",
"address": "string",
"address_line": "string",
"postal_code": "string",
"geo_coordinates": {
"lat": 0,
"lng": 0
},
"house_desc": "string",
"branch_id": 0
}
}'{
"status": 201,
"success": true,
"data": {
"id": 590266928,
"reference_id": 49301
}
}